<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Journal Disbursement</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Journal Disbursement
        <small>Form</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Finance</li>
        <li class="active"> Cash Disbursement</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-6">
            <div class="box">
                <div class="box-header">
                    <h3>Disbursement</h3>
                </div>
                <div class="box-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th width="10%">Date</th>
                            <th width="2%">:</th>
                            <th th:text="${pencairanDana.getTanggalan()}"></th>
                        </tr>
                        <tr>
                            <th>Time</th>
                            <th>:</th>
                            <th th:text="${pencairanDana.getJaman()}"></th>
                        </tr>
                        <tr>
                            <th>Nominal</th>
                            <th>:</th>
                            <th th:text="${#numbers.formatDecimal(pencairanDana.getNominalPencairan(), 0, 'POINT', 0, 'COMMA')}"></th>
                        </tr>
                        <tr>
                            <th>Description</th>
                            <th>:</th>
                            <th th:text="${pencairanDana.getKeteranganPencairan()}"></th>
                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>

            <div class="row" th:if="${errorMessageSatu != null}">
                <div class="col-md-6">
                    <div class="alert alert-danger">
                        <span th:text="${errorMessageSatu}"></span>
                    </div>
                </div>
            </div>


            <div class="row" >
                <div class="col-md-6">
                    <div class="box">
                        <div class="box-header">
                            <div class="row">
                                <div class="col-md-12">
                                    <form method="get" th:action="@{/keuangan/pencairan/approve}">
                                        <input type="hidden" name="pencairan" th:value="${pencairanDana.getId()}">
                                        <input type="hidden" name="journalTemplate" th:value="${pjournalTemplateSelected}">
                                        <input type="hidden" name="jaman" th:value="${pencairanDana.getJaman()}">
                                        <input type="hidden" name="tanggalan" th:value="${pencairanDana.getTanggalan()}">
                                        <input type="hidden" name="nominalPencairan" th:value="${pencairanDana.getNominalPencairan()}">
                                        <input type="hidden" name="keteranganPencairan" th:value="${pencairanDana.getKeteranganPencairan()}">
                                        <input type="submit" class="btn btn-danger pull-right" value="Back">
                                    </form>
<!--                                    <a class="btn btn-danger pull-left" th:href="@{/keuangan/pencairan/approve(pencairan=${pencairanDana.getId()})}">Cancel</a>-->
                                </div>
                            </div>
                        </div>
                        <form th:if="${errorMessageSatu == null && journalTemplateSelected == null}" class="form-horizontal" th:action="@{/keuangan/pencairan/approve/save}" th:object="${pencairanDana}" method="post" enctype="multipart/form-data">
                            <div class="box-body">
                            <div class="form-group">
                                <input type="hidden" th:field="*{id}" name="id" th:value="${pencairanDana.getId()}">
                                <input type="hidden" th:field="*{jaman}" name="jaman" th:value="${pencairanDana.getJaman()}">
                                <input type="hidden" th:field="*{tanggalan}" name="tanggalan" th:value="${pencairanDana.getTanggalan()}">
                                <input type="hidden" th:field="*{nominalPencairan}" name="nominalPencairan" th:value="${pencairanDana.getNominalPencairan()}">
                                <input type="hidden" th:field="*{keteranganPencairan}" name="keteranganPencairan" th:value="${pencairanDana.getKeteranganPencairan()}">
                                <label for="lampiran" class="col-sm-2 control-label">Bukti pencairan</label>

                                <div class="col-sm-10">
                                    <input type="file" name="lampiran" id="lampiran2" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                    <p class="help-block">Bukti Transfer atau Tanda Terima Pencairan.</p>
                                </div>
                            </div>
                            </div>
                            <div class="box-footer">
                                <input type="submit" class="btn btn-success pull-right" value="Submit">
                            </div>
                        </form>
                        <form th:if="${errorMessageSatu == null && journalTemplateSelected != null}" class="form-horizontal" th:action="@{/keuangan/pencairan/approve/save(journalTemplate=${journalTemplateSelected.getCode()})}" th:object="${pencairanDana}" method="post" enctype="multipart/form-data">
                            <!--        <input type="hidden" name="pencairanDana" th:value="${pencairanDana}">-->
                            <input type="hidden" name="id" th:field="*{id}">
                        <div class="box-body">
<!--                            <div class="col-md-6">-->
                                <h3>Journal</h3>
<!--                            </div>-->

                            <div class="form-group">
                                <label for="lampiran" class="col-sm-2 control-label">Bukti pencairan</label>

                                <div class="col-sm-10">
                                    <input type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                    <p class="help-block">Bukti Transfer atau Tanda Terima Pencairan.</p>
                                </div>
                            </div>
                            <table class="table table-bordered">
                                <tbody>
                                <tr>
                                    <td>Template Code</td>
                                    <td>:</td>
                                    <td th:text="${journalTemplateSelected.getCode()}"></td>
                                </tr>
                                <tr>
                                    <td>Template Name</td>
                                    <td>:</td>
                                    <td th:text="${journalTemplateSelected.getName()}"></td>
                                </tr>
                                <tr>
                                    <td>Category</td>
                                    <td>:</td>
                                    <td th:text="${journalTemplateSelected.getCategory()}"></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
<!--                        <form method="post" th:action="@{/keuangan/pencairan/report/approve}">-->
                            <div class="box-body">
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Akun</th>
                                        <th>Tipe</th>
                                        <th>Amount</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="dataJournal,row : ${journalTemplateDetailList}">
                                        <td th:text="${dataJournal.getSequence()}"></td>
                                        <td th:text="${dataJournal.getAccount()}"></td>
                                        <td th:text="${dataJournal.getBalanceType()}"></td>
                                        <td>
                                            <!--                                <input type="text" class="form-control" th:name="${dataJournal.getIdAccount()}" th:value="${laporanDana.getJumlah()}">-->
                                            <form onsubmit="convertToBigDecimal()">
                                            <input type="text" class="form-control"
                                                   th:name="${dataJournal.getIdAccount()}"
                                                   th:value="${#numbers.formatDecimal(pencairanDana.getNominalPencairan(), 0, 'POINT', 0, 'COMMA')}"
                                                   oninput="formatCurrency(this)"
                                                   onblur="formatCurrency(this)"
                                                   onkeypress="return isNumberKey(event)">
                                            </form>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="box-footer">
                                <input type="submit" class="btn btn-success pull-right" value="Submit">
                            </div>
<!--                        </form>-->
                        </form>
                    </div>
                </div>
            </div>


</section>

</body>
</html>